import request from '@/utils/request'

// 查询急救箱检查记录列表
export function listAidkit(query) {
  return request({
    url: '/fire/aidkit/list',
    method: 'get',
    params: query
  })
}

// 查询急救箱检查记录详细
export function getAidkit(id) {
  return request({
    url: '/fire/aidkit/' + id,
    method: 'get'
  })
}

// 新增急救箱检查记录
export function addAidkit(data) {
  return request({
    url: '/fire/aidkit',
    method: 'post',
    data: data
  })
}

// 修改急救箱检查记录
export function updateAidkit(data) {
  return request({
    url: '/fire/aidkit',
    method: 'put',
    data: data
  })
}

// 删除急救箱检查记录
export function delAidkit(id) {
  return request({
    url: '/fire/aidkit/' + id,
    method: 'delete'
  })
}

// 导出急救箱检查记录
export function exportAidkit(query) {
  return request({
    url: '/fire/aidkit/export',
    method: 'get',
    params: query
  })
}